using Newtonsoft.Json;
using System.ComponentModel.DataAnnotations.Schema;

[Table("kolajnica")]
public class Kolajnica
{
    [JsonProperty("or")]
    public string OR { get; set; }

    [JsonProperty("sm_su")]
    public string SMSU { get; set; }

    [JsonProperty("tu")]
    public string TU { get; set; }

    [JsonProperty("du")]
    public string DU { get; set; }

    [JsonProperty("nazov_du")]
    public string NazovDU { get; set; }

    [JsonProperty("kategoria_trate")]
    public string KategoriaTrate { get; set; }

    [JsonProperty("rozchod")]
    public string Rozchod { get; set; }

    [JsonProperty("oznacenie_rozchodu")]
    public string OznacenieRozchodu { get; set; }

    [JsonProperty("triediaci_znak")]
    public string TriediaciZnak { get; set; }

    [JsonProperty("popis_triediaceho_znaku")]
    public string PopisTriediacehoZnaku { get; set; }

    [JsonProperty("typ_prevadzky")]
    public string TypPrevadzky { get; set; }

    [JsonProperty("cislo_kolaje")]
    public string CisloKolaje { get; set; }

    [JsonProperty("index_kolaje")]
    public string IndexKolaje { get; set; }

    [JsonProperty("km_od")]
    public string KmOd { get; set; }

    [JsonProperty("km_do")]
    public string KmDo { get; set; }

    [JsonProperty("dlzka_m")]
    public string DlzkaM { get; set; }

    [JsonProperty("km_od2")]
    public string KmOd2 { get; set; }

    [JsonProperty("km_do2")]
    public string KmDo2 { get; set; }

    [JsonProperty("dlzka2_m")]
    public string Dlzka2M { get; set; }

    [JsonProperty("abnormalita_m")]
    public string AbnormalitaM { get; set; }

    [JsonProperty("pas")]
    public string Pas { get; set; }

    [JsonProperty("tvar_kolajnice")]
    public string TvarKolajnice { get; set; }

    [JsonProperty("pevnost")]
    public string Pevnost { get; set; }

    [JsonProperty("legovanie")]
    public string Legovanie { get; set; }

    [JsonProperty("umiestnenie")]
    public string Umiestnenie { get; set; }

    [JsonProperty("sklon_kolajnicoveho_pasu")]
    public string SklonKolajnicovehoPasu { get; set; }

    [JsonProperty("dlzka_pole_m")]
    public string DlzkaPoleM { get; set; }

    [JsonProperty("datum_vlozenia")]
    public string DatumVlozenia { get; set; }

    [JsonProperty("stav_pri_vlozeni")]
    public string StavPriVlozeni { get; set; }

    [JsonProperty("rok_vyroby")]
    public string RokVyroby { get; set; }

    [JsonProperty("vyrobca")]
    public string Vyrobca { get; set; }

    [JsonProperty("datum_poslednej_zmeny")]
    public string DatumPoslednejZmeny { get; set; }

    [JsonProperty("poznamka")]
    public string Poznamka { get; set; }
}
